Bug 1858491 - `dnf list-sec` output is the same as `dnf list-updateinfo`
Summary: `dnf list-sec` output is the same as `dnf list-updateinfo`
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 32
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Pavla Kratochvilova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-18 11:38 UTC by Kees de Jong
Modified: 2021-01-11 01:49 UTC (History)
9 users (show)

Fixed In Version: dnf-4.4.2-1.fc33 dnf-4.4.2-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-29 01:25:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Kees de Jong 2020-07-18 11:38:20 UTC
Description of problem:
The alias `dnf list-sec` and `dnf list-security` has the same output as `dnf list-updateinfo`. I would expect to see only security update information when using `dnf list-sec` or `dnf list-security`.

Version-Release number of selected component (if applicable):
dnf-4.2.23-1.fc32.noarch

How reproducible:
Run `dnf list-sec` and then run `dnf list-updateinfo`. It of course depends if there are really updates which generate information to stdout. However, when I use `dnf updateinfo list updates security`, then I do see what I would expect with `dnf list-sec`. The syntax of these commands are quite counter intuitive. Please consider changing this syntax to something more logical like the aliases attempt to fix. In the meantime, please correct the aliases.

Comment 1 Marek Blaha 2020-07-20 08:08:02 UTC
You are completely right that the names of `list-sec / list-security / list-updateinfo` commands are kind of misleading.
On the other hand, they are only supported for compatibility reasons and are not even documented. Even back in the yum era these commands were undocumented "old names" (see https://github.com/rpm-software-management/yum/blob/f8616a2d6e22705371fe6ba47597238d3d1dc2f1/yumcommands.py#L3826) and were mere aliases to 'yum updateinfo list'.

Comment 2 Pavla Kratochvilova 2020-07-29 11:28:32 UTC
Documented as deprecated in PR: https://github.com/rpm-software-management/dnf/pull/1629

Comment 3 Fedora Update System 2020-11-27 15:45:37 UTC
FEDORA-2020-210ee4a384 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-210ee4a384

Comment 4 Fedora Update System 2020-11-27 15:47:29 UTC
FEDORA-2020-e49210967b has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e49210967b

Comment 5 Fedora Update System 2020-11-28 02:55:55 UTC
FEDORA-2020-210ee4a384 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-210ee4a384`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-210ee4a384

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-11-28 03:04:29 UTC
FEDORA-2020-e49210967b has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e49210967b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e49210967b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-11-29 01:25:45 UTC
FEDORA-2020-210ee4a384 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-01-11 01:49:55 UTC
FEDORA-2020-e49210967b has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.